vilopos=5:0.1:95;
lambda=50;
c=340;
omega=2*pi*c/lambda;
ampl=6
k=2*pi/lambda;
T=lambda/c;
tsteg=T/20;
y=rand(size(vilopos));
for t=0:tsteg:20*tsteg
   Tid=t/5/T
   s=ampl*cos(omega*t)*sin(k*vilopos);
   v=ampl*sin(omega*t)*sin(k*vilopos);
   p=-ampl*cos(omega*t)*cos(k*vilopos);
   pos=s+vilopos;
   plot(pos,y,'.b')
   hold on
   plot(vilopos,(1.5+s/ampl/2),'r')
   plot(vilopos,(-0.5+p/ampl/2),'g')
   plot(vilopos,(-1.5+v/ampl/2),'c')
   plot(1,1.9)
   plot(1,-1.9)
   text(10,1.8,'Frskjutning')
   text(10,-0.2,'Tryck')
   text(10,-1.8,'Partikelhastighet')
   hold off
   pause(1)
end
