close all
%def en-dim apertur
for spaltbredd=2e-4:4e-4:8e-3
   spaltbredd
   antalsteg=120;
lambda=5e-7;
avst=1;
x=-spaltbredd/2:spaltbredd/2/antalsteg:spaltbredd/2;

%def koord i skrmplan
ximax=max([5*lambda*avst/spaltbredd 1.5*spaltbredd]);
xi=-ximax:ximax/100:ximax;
[X,XI]=meshgrid(x,xi);

%Avst mellan pkt i skrmplan och pkt i spaltplan
R=sqrt(avst^2+(XI-X) .^2); 
fas=exp(i*2*pi*R/lambda);

I=(abs(sum(fas'))) .^2;
plot(xi,I)
hold on 
Imax=max(I);
linje=0:Imax/20:Imax;
figure(1)
set(1,'Position',[20 20 500 400])
plot(spaltbredd/2,linje,'r<',-spaltbredd/2,linje,'r>')
hold off
figure(2)
set(2,'Position',[540 20 500 200])
colormap(gray)
image(I*64/Imax)
pause(3)
figure(1)
end